%define upstream_name    Net-Bluetooth
%define upstream_version 0.40

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Net::Bluetooth - Perl Bluetooth Interface
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/Net-Bluetooth-%{upstream_version}.tar.bz2

BuildRequires:	bluez-devel
BuildRequires:	perl-devel

Requires(pre):  bluez

%description
Net::Bluetooth - Perl Bluetooth Interface
This module creates a Bluetooth interface for Perl.

%prep
%setup -q -n Net-Bluetooth-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/*
%{perl_vendorarch}/auto/Net/*
%dir %{perl_vendorarch}/auto/Net/Bluetooth
%{perl_vendorarch}/auto/Net/Bluetooth/*
%{_mandir}/man3/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.400.0-4.mga3
+ Revision: 370504
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.400.0-3.mga3
+ Revision: 250978
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.400.0-2.mga2
+ Revision: 104811
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.400.0-1.mga1
+ Revision: 30880
- mageia rebuild
- imported package perl-Net-Bluetooth

